Skript Not Being Enabled

Discussion in 'Spigot Plugin Help' started by Bladian, Jun 24, 2015.

  1. I'm currently using Skript on a server which is being hosted. The problem is that it won't work on my server, on my computer. This is the error I get.

    Code (Text):
    Error occurred while enabling Skript v2.1.2 (Is it up to date?)
    java.lang.NoClassDefFoundError: java/nio/charset/StandardCharsets
        at ch.njol.skript.config.ConfigReader.<init>(ConfigReader.java:45) ~[?:?]
        at ch.njol.skript.config.Config.<init>(Config.java:93) ~[?:?]
        at ch.njol.skript.localization.Language.loadDefault(Language.java:189) ~[?:?]
        at ch.njol.skript.SkriptAddon.setLanguageFileDirectory(SkriptAddon.java:145) ~[?:?]
        at ch.njol.skript.Skript.getAddonInstance(Skript.java:784) ~[?:?]
        at ch.njol.skript.Skript.onEnable(Skript.java:190) ~[?:?]
        at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:250) ~[spigot.jar:git-Spigot-1387]
        at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:324) [spigot.jar:git-Spigot-1387]
        at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:405) [spigot.jar:git-Spigot-1387]
        at org.bukkit.craftbukkit.v1_7_R2.CraftServer.loadPlugin(CraftServer.java:462) [spigot.jar:git-Spigot-1387]
        at org.bukkit.craftbukkit.v1_7_R2.CraftServer.enablePlugins(CraftServer.java:380) [spigot.jar:git-Spigot-1387]
        at net.minecraft.server.v1_7_R2.MinecraftServer.n(MinecraftServer.java:353) [spigot.jar:git-Spigot-1387]
        at net.minecraft.server.v1_7_R2.MinecraftServer.g(MinecraftServer.java:328) [spigot.jar:git-Spigot-1387]
        at net.minecraft.server.v1_7_R2.MinecraftServer.a(MinecraftServer.java:284) [spigot.jar:git-Spigot-1387]
        at net.minecraft.server.v1_7_R2.DedicatedServer.init(DedicatedServer.java:186) [spigot.jar:git-Spigot-1387]
        at net.minecraft.server.v1_7_R2.MinecraftServer.run(MinecraftServer.java:442) [spigot.jar:git-Spigot-1387]
        at net.minecraft.server.v1_7_R2.ThreadServerApplication.run(SourceFile:618) [spigot.jar:git-Spigot-1387]
    Caused by: java.lang.ClassNotFoundException: java.nio.charset.StandardCharsets
        at java.net.URLClassLoader$1.run(URLClassLoader.java:202) ~[?:1.6.0_65]
        at java.security.AccessController.doPrivileged(Native Method) ~[?:1.6.0_65]
        at java.net.URLClassLoader.findClass(URLClassLoader.java:190) ~[?:1.6.0_65]
        at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:77) ~[spigot.jar:git-Spigot-1387]
        at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:62) ~[spigot.jar:git-Spigot-1387]
        at java.lang.ClassLoader.loadClass(ClassLoader.java:306) ~[?:1.6.0_65]
        at java.lang.ClassLoader.loadClass(ClassLoader.java:247) ~[?:1.6.0_65]
        ... 17 more
    Again the skript plugin works perfectly on a hosted server, but not mine, and we are using the same exact versions.
     
  2. Try updating your Java.
     
  3. It's at the latest version, so that's not the problem.
     
    • Agree Agree x 1
  4. New error:

    Code (Text):
    [14:28:01 INFO]: [Skript] Enabling Skript v2.2-SNAPSHOT
    [14:28:01 ERROR]: Error occurred while enabling Skript v2.2-SNAPSHOT (Is it up to date?)
    java.lang.NoClassDefFoundError: java/util/Objects
        at ch.njol.skript.localization.Noun.onValueChange(Noun.java:75) ~[?:?]
        at ch.njol.skript.localization.Message.validate(Message.java:111) ~[?:?]
        at ch.njol.skript.localization.Noun.toString(Noun.java:81) ~[?:?]
        at java.lang.String.valueOf(String.java:2826) ~[?:1.6.0_65]
        at java.lang.StringBuilder.append(StringBuilder.java:115) ~[?:1.6.0_65]
        at ch.njol.util.StringUtils.join(StringUtils.java:336) ~[?:?]
        at ch.njol.util.StringUtils.join(StringUtils.java:324) ~[?:?]
        at ch.njol.skript.util.VisualEffect.getAllNames(VisualEffect.java:195) ~[?:?]
        at ch.njol.skript.classes.data.SkriptClasses.<clinit>(SkriptClasses.java:859) ~[?:?]
        at ch.njol.skript.Skript.onEnable(Skript.java:262) ~[?:?]
        at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:250) ~[spigot.jar:git-Spigot-1387]
        at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:324) [spigot.jar:git-Spigot-1387]
        at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:405) [spigot.jar:git-Spigot-1387]
        at org.bukkit.craftbukkit.v1_7_R2.CraftServer.loadPlugin(CraftServer.java:462) [spigot.jar:git-Spigot-1387]
        at org.bukkit.craftbukkit.v1_7_R2.CraftServer.enablePlugins(CraftServer.java:380) [spigot.jar:git-Spigot-1387]
        at org.bukkit.craftbukkit.v1_7_R2.CraftServer.reload(CraftServer.java:809) [spigot.jar:git-Spigot-1387]
        at org.bukkit.Bukkit.reload(Bukkit.java:286) [spigot.jar:git-Spigot-1387]
        at org.bukkit.command.defaults.ReloadCommand.execute(ReloadCommand.java:24) [spigot.jar:git-Spigot-1387]
        at org.bukkit.command.SimpleCommandMap.dispatch(SimpleCommandMap.java:180) [spigot.jar:git-Spigot-1387]
        at org.bukkit.craftbukkit.v1_7_R2.CraftServer.dispatchCommand(CraftServer.java:719) [spigot.jar:git-Spigot-1387]
        at org.bukkit.craftbukkit.v1_7_R2.CraftServer.dispatchServerCommand(CraftServer.java:706) [spigot.jar:git-Spigot-1387]
        at net.minecraft.server.v1_7_R2.DedicatedServer.ax(DedicatedServer.java:309) [spigot.jar:git-Spigot-1387]
        at net.minecraft.server.v1_7_R2.DedicatedServer.v(DedicatedServer.java:274) [spigot.jar:git-Spigot-1387]
        at net.minecraft.server.v1_7_R2.MinecraftServer.u(MinecraftServer.java:568) [spigot.jar:git-Spigot-1387]
        at net.minecraft.server.v1_7_R2.MinecraftServer.run(MinecraftServer.java:474) [spigot.jar:git-Spigot-1387]
        at net.minecraft.server.v1_7_R2.ThreadServerApplication.run(SourceFile:618) [spigot.jar:git-Spigot-1387]
    Caused by: java.lang.ClassNotFoundException: java.util.Objects
        at java.net.URLClassLoader$1.run(URLClassLoader.java:202) ~[?:1.6.0_65]
        at java.security.AccessController.doPrivileged(Native Method) ~[?:1.6.0_65]
        at java.net.URLClassLoader.findClass(URLClassLoader.java:190) ~[?:1.6.0_65]
        at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:77) ~[spigot.jar:git-Spigot-1387]
        at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:62) ~[spigot.jar:git-Spigot-1387]
        at java.lang.ClassLoader.loadClass(ClassLoader.java:306) ~[?:1.6.0_65]
        at java.lang.ClassLoader.loadClass(ClassLoader.java:247) ~[?:1.6.0_65]
        ... 26 more
    The Skript file has been made though.
     
  5. What is your Spigot version? 1.6?
     
  6. 1.7, spigot 1387
     
  7. That is way old. Why don't you use the latest version?
     
    • Agree Agree x 1
  8. Well if you're using that, Skript 2.2 might not be the best idea :confused:
     
    • Agree Agree x 1
  9. Tux

    Tux

    You have to update to at least Java 7. From what I have gleamed from your post, you'll need to contact your provider to do it. Given that Java 7 been out for about four years, the upgrade is well overdue.
     
    • Agree Agree x 1
  10. So I'm guessing this means MAC is shit...
     
  11. Do you have Factions?
     
  12. Tux

    Tux

    That would have been useful information to have earlier.

    You have the Apple JRE installed then. Install the Oracle JRE from https://www.java.com/en/download/manual.jsp#mac.